# xoxys.pve
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.pve/status.svg)](https://drone.rknet.org/ansible/xoxys.pve)


Role to configure pve

## Table of content

* [Default Variables](#default-variables)
  * [pve_nodes](#pve_nodes)
  * [pve_tls_enabled](#pve_tls_enabled)
  * [pve_tls_cert_source](#pve_tls_cert_source)
  * [pve_tls_key_source](#pve_tls_key_source)
  * [pve_pamd_motd_enabled](#pve_pamd_motd_enabled)
  * [pve_disk_mount](#pve_disk_mount)
  * [pve_auth_pam_is_default](#pve_auth_pam_is_default)
  * [pve_auth_pam_description](#pve_auth_pam_description)
  * [pve_auth_pam_tfa_oath_enabled](#pve_auth_pam_tfa_oath_enabled)
  * [pve_auth_pam_tfa_yubico_enabled](#pve_auth_pam_tfa_yubico_enabled)
  * [pve_auth_pve_is_default](#pve_auth_pve_is_default)
  * [pve_auth_pve_description](#pve_auth_pve_description)
  * [pve_auth_pve_tfa_oath_enabled](#pve_auth_pve_tfa_oath_enabled)
  * [pve_auth_pve_tfa_yubico_enabled](#pve_auth_pve_tfa_yubico_enabled)
  * [pve_auth_ldap_enabled](#pve_auth_ldap_enabled)
  * [pve_auth_ldap_tfa_oath_enabled](#pve_auth_ldap_tfa_oath_enabled)
  * [pve_auth_ldap_tfa_oath_timestep](#pve_auth_ldap_tfa_oath_timestep)
  * [pve_auth_ldap_tfa_oath_pwlength](#pve_auth_ldap_tfa_oath_pwlength)
  * [pve_auth_ldap_tfa_yubico_enabled](#pve_auth_ldap_tfa_yubico_enabled)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### pve_nodes

#### Default value

```YAML
pve_nodes:
  - node1
```

### pve_tls_enabled

#### Default value

```YAML
pve_tls_enabled: false
```

### pve_tls_cert_source

#### Default value

```YAML
pve_tls_cert_source: mycert.pem
```

### pve_tls_key_source

#### Default value

```YAML
pve_tls_key_source: mykey.pem
```

### pve_pamd_motd_enabled

#### Default value

```YAML
pve_pamd_motd_enabled: true
```

### pve_disk_mount

#### Default value

```YAML
pve_disk_mount: []
```

### pve_auth_pam_is_default

#### Default value

```YAML
pve_auth_pam_is_default: true
```

### pve_auth_pam_description

#### Default value

```YAML
pve_auth_pam_description: Linux PAM standard authentication
```

### pve_auth_pam_tfa_oath_enabled

#### Default value

```YAML
pve_auth_pam_tfa_oath_enabled: false
```

### pve_auth_pam_tfa_yubico_enabled

#### Default value

```YAML
pve_auth_pam_tfa_yubico_enabled: false
```

### pve_auth_pve_is_default

#### Default value

```YAML
pve_auth_pve_is_default: false
```

### pve_auth_pve_description

#### Default value

```YAML
pve_auth_pve_description: Linux pve standard authentication
```

### pve_auth_pve_tfa_oath_enabled

#### Default value

```YAML
pve_auth_pve_tfa_oath_enabled: false
```

### pve_auth_pve_tfa_yubico_enabled

#### Default value

```YAML
pve_auth_pve_tfa_yubico_enabled: false
```

### pve_auth_ldap_enabled

#### Default value

```YAML
pve_auth_ldap_enabled: false
```

### pve_auth_ldap_tfa_oath_enabled

#### Default value

```YAML
pve_auth_ldap_tfa_oath_enabled: false
```

### pve_auth_ldap_tfa_oath_timestep

#### Default value

```YAML
pve_auth_ldap_tfa_oath_timestep: 30
```

### pve_auth_ldap_tfa_oath_pwlength

#### Default value

```YAML
pve_auth_ldap_tfa_oath_pwlength: 6
```

### pve_auth_ldap_tfa_yubico_enabled

#### Default value

```YAML
pve_auth_ldap_tfa_yubico_enabled: false
```

## Dependencies

None.

## License

MIT

## Author

xoxys <mail@geeklabor.de>
